Bug 4616 - don't start nfs server unnecessarily
Summary: don't start nfs server unnecessarily
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: setup (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-19 21:45 UTC by flaps
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-08-20 22:08:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description flaps 1999-08-19 21:45:47 UTC
/etc/rc.d/init.d/nfs checks for the existence of
/etc/exports and if there isn't one, it doesn't start nfs.
This is good because of the general principle that you
should not run any unused internet services, because such
things are solely of use to "the bad guys" (if they're not
of use to you, by definition, because I'm talking about
unused services).

However, the "setup" package contains an empty /etc/exports
file.  This is too bad, because it means that a lot of
people are providing nfs service for no reason.

I suggest either not including /etc/exports in the setup
package, or changing the test -f /etc/exports in
/etc/rc.d/init.d/nfs (in the knfsd package) to a "-s" so
that it doesn't start nfs for a zero-length /etc/exports.

Comment 1 Jeff Johnson 1999-08-20 22:08:59 UTC
Fixed in knfsd-1.4.7-2. Thanks for the suggestion.


Note You need to log in before you can comment on or make changes to this bug.